Package com.independentsoft.office.odf.styles

# Class DefaultParagraphStyle

java.lang.Object
com.independentsoft.office.odf.styles.DefaultStyle
com.independentsoft.office.odf.styles.DefaultParagraphStyle

public class DefaultParagraphStyle extends DefaultStyle
Represents default styles of the paragraph style.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `family`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultParagraphStyle()`
  Initializes a new instance of the DefaultParagraphStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefaultParagraphStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `ParagraphProperties`
  `getParagraphProperties()`
  Specifies formatting properties for paragraph.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `String`
  `toString()`
  Converts the value of the current DefaultParagraphStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `getFamily, setFamily, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultParagraphStyle

    public DefaultParagraphStyle()
    Initializes a new instance of the DefaultParagraphStyle class.

- ## Method Details

  - ### clone

    public DefaultParagraphStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DefaultParagraphStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `DefaultStyle`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getParagraphProperties

    public ParagraphProperties getParagraphProperties()
    Specifies formatting properties for paragraph.
    Returns:
      the paragraph properties